<?php  

if(get_theme_mod('gallery_section_disable') != 'on' ){ ?>  
	<?php 
		if( get_theme_mod('secgalleryTpadding',true) ) {
			$secgalleryTpadding = 'padding-top:'.esc_attr(get_theme_mod('secgalleryTpadding')).';';
		}
		if( get_theme_mod('secgalleryBpadding',true) ) {
			$secgalleryBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('secgalleryBpadding')).';';
		}

	?>		

	<section id="gallery" class="area-inner" style="<?php echo esc_attr($secgalleryTpadding); ?>" "<?php echo esc_attr($secgalleryBpadding); ?>">
		<div class="container"> 
		<?php
		
			$gallery_page_maintitle = get_theme_mod('gallery_page_maintitle', 'Captured Moments');
			$gallerytext = get_theme_mod('gallerytext', 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.');
			
		?>
		<div class="row justify-content-center">
			<div class="col-xl-6 col-lg-6 col-sm-11 col-xs-12">	
				<div class="section-title-area">
					<?php if($gallery_page_maintitle){ ?>
						<?php if($gallery_page_maintitle){ ?>
						<div class="section-title">
							<h2><?php echo ($gallery_page_maintitle);  ?></h2>
						
					
							<div class="title-icon1">
		 					 	<img src="<?php echo esc_html(get_template_directory_uri()); ?>/images/sectitle.png" />
		 					</div>
	 					</div>
 					<?php }?>
 					<div class="clearfix"></div>	
					<?php }?>
					<div class="section-subtitle">
						<p><?php echo ($gallerytext);  ?></p>
					</div>
				</div>
				
			</div>
		</div>
		<?php
			$gallery_page_id = get_theme_mod('gallery_page');	
		?>
			<div class="gallery-main-box">
				<div class="row">
					<!-- <div class="ht-team-member-wrap ht-clearfix"> -->
						<?php 
						$showStatic = true;
						$cols = get_theme_mod('gallery_npp_count', 5);
						$cols++;
						switch($cols){
						case 1:
						$colCls = 'col-md-12 col-sm-12';
						break;
						case 2:	
						$colCls = 'col-md-6 col-sm-6';
						break;
						case 3:
						case 5:
						case 6:
						case 9:
						case 11:
						$colCls = 'col-md-4 col-sm-6';
						break;
						default: 
						$colCls = 'col-md-3 col-sm-6';
						break;
						}
						for( $i = 1; $i <= $cols; $i++ ){
							$gallery_page_id = get_theme_mod('gallery_page'.$i); 
							$gallery_page_icon = get_theme_mod('gallery_page_icon'.$i);
							if($gallery_page_id){
								$showStatic = false;
								echo galleryShortCode($gallery_page_id, $isCustomizer=true, $i);
							}
						}

						$args = array(
							'post_type' => 'our-gallery',
							'post_status' => 'publish'
						);
						$new = new WP_Query($args); 
						$i=1;
						if($showStatic == true){
							while ( $new->have_posts() ){
								$new->the_post(); 
								$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'medium_large' );
								if(has_post_thumbnail()) { $thumb_url = $thumb['0']; }
								$url = $thumb['0'];?>
							<div class="<?php echo $colCls; ?> wow zoomIn">
								<div class="lz-gallery-images">
									<a class="group1" href="<?php echo esc_url($thumb_url); ?>" title="<?php the_title(); ?>">
										<figure class="spa-gall">
											<img class="secondry-bg img-responsive" src="<?php echo esc_url($thumb_url); ?>" alt="<?php the_title(); ?>" />
											<div class="ovlay"></div>
											<div class="img-border"></div>
											<div class="over-text">
												<h3>Wedding Dinner</h3>
											</div>
											<!-- <i class="fa fa-search-plus"></i> -->
										</figure>
									</a>
									<div class="clearfix"></div>
								</div>
							</div> 
							<?php 
							$i++; } wp_reset_query();
						} ?>

					</div>
				</div>			
			</div> 
			<div class="clearfix"></div>
		</section>
	<?php }

